Bug 56280 - Network queued jobs with -K don't print all copies
Network queued jobs with -K don't print all copies
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: LPRng (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-14 16:57 EST by Scott Schmit
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-08 08:18:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Schmit 2001-11-14 16:57:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5+) Gecko/20011010

Description of problem:
Last night, I printed 13 ps files (one page each) with the -K10 option on
each one. 5 were printed over the network, 8 locally (in that order).
Except the first one (which was finished before the rest were queued) all
the network print jobs were missing anywhere from 2 to 10 copies. All local
print jobs printed correctly.

Version-Release number of selected component (if applicable):
3.7.4-23

How reproducible:
Didn't try

Steps to Reproduce:
1. Queue multiple copies (-Kn) of large ps files that take a while to print.
2. Count how many copies come out.
3. It might not hurt to try mixing local copies.

Actual Results:  Jobs:
#1 (net, printed alone): all 10 copies printed
#2 (net): 2 copies printed
#3 (net): 0 copies printed
#4 (net): 7 copies printed
#5 (net): 5 copies printed
#6-#13 (local): 10 copies printed

Expected Results:  Everything should have printed, whether spooled locally
or via network.

Additional info:

The ps files were so big that lpq showed the active print job as stalled
after a certain point, although the print job was printing. There were
large delays between each copy--this is probably a separate bug.

In total, it took 8 hours to print all the jobs.

I was printing from a 7.2 box when over the network.

The 13 ps files are available on request: du -am shows:
9       page01.ps
30      page02.ps
18      page03.ps
19      page04.ps
24      page05.ps
19      page06.ps
17      page07.ps
19      page08.ps
19      page09.ps
21      page10.ps
19      page11.ps
18      page12.ps
17      page13.ps
(these were ps files generated by the gimp from png files)
Comment 1 Tim Waugh 2002-06-13 12:33:18 EDT
I haven't been able to reproduce this problem.
Comment 2 Tim Waugh 2004-12-08 08:18:42 EST
Closing (we use CUPS now, not LPRng).

Note You need to log in before you can comment on or make changes to this bug.